<template>
	
	<!-- xxxxxxxxxxxxxxxxxx S-RP-04 PREGUNTA 4 xxxxxxxxxxxxxxxxxxx -->
	<div class="fadeOutRight content-data contentenedor-pregunta lectura  col-md-10 offset-md-1">
		<div class="col-md-12 content-pregunta">
			<div class="col-md-12 " >			
				<div class="content-ask">
					<h2>{{ value.question }}.</h2>
				</div>
			</div>
            <div>
                <div class="scroll-demo custom-scroll custom-scroll-dark" style="height: 150px;">
                    <textarea class="form-control form-control" placeholder="Danos tu opinión mas sincera." rows="5" v-model="value.answer"></textarea>
                </div>
            </div>
		</div>
	</div>
</template>
<script>
  	
	import ResultTypes 		from '../../../../utils/ResultTypes'
	import { mapActions, mapGetters } 	from 'vuex'
	import { config }  		from './config'

	export default {
		name	: config.component,
		props	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
	  	computed: {
	  		...mapGetters([
		      'pass',
			]),
          },
         mounted(){
			setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 5000)
			//setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
  	
</script>